package com.hikcreate.edl.pub.web.mobile.domain;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hikcreate.edl.pub.web.mobile.infra.core.Result;
import com.hikcreate.edl.pub.web.mobile.infra.model.BindInfo;
import com.hikcreate.edl.pub.web.mobile.infra.model.BindInfoQuery;
import com.hikcreate.edl.pub.web.mobile.infra.model.param.response.DrivingLicenseInfoRes;

/**
 * 客户绑定服务接口
 *
 * @author: xieshixiang
 * @time：2020/6/18 16:11
 **/
public interface IBindService extends IService<BindInfo> {

    /**
     * 信息绑定接口
     *
     * @param info
     * @return Result
     * @author: xsx
     * @date: 2020/6/19 10:32
     */
    Result bind(BindInfo info);

    /**
     * 年检信息查询接口
     *
     * @param query
     * @return
     */
    Result yearCheckInfo(BindInfoQuery query);

    /**
     * 保险信息查询接口
     * @param query
     * @return
     */
    Result insuranceInfo(BindInfoQuery query);

    /**
     * 违法信息查询接口
     *
     * @param query
     * @return Result
     * @author: xsx
     * @date: 2020/6/19 16:06
     */
    Result violationInfo(BindInfoQuery query);

    /**
     * 驾照信息查询接口
     *
     * @param query
     * @return Result
     * @author: xsx
     * @date: 2020/6/19 16:29
     */
    Result<DrivingLicenseInfoRes> drivingLicenseInfo(BindInfoQuery query);

}
